Skip to main content
GET
/
api
/
banking
/
accounts
Retrieve the bank accounts.
curl --request GET \
  --url https://api.example.com/api/banking/accounts
[
  {
    "id": 1,
    "name": "Cash Account",
    "slug": "cash-account",
    "code": "1001",
    "accountType": "bank",
    "parentAccountId": null,
    "currencyCode": "USD",
    "active": true,
    "bankBalance": 5000,
    "bankBalanceFormatted": "$5,000.00",
    "lastFeedsUpdatedAt": "2024-03-20T10:30:00Z",
    "lastFeedsUpdatedAtFormatted": "Mar 20, 2024 10:30 AM",
    "lastFeedsUpdatedFromNow": "2 hours ago",
    "amount": 5000,
    "formattedAmount": "$5,000.00",
    "plaidItemId": "plaid-item-123",
    "plaidAccountId": "plaid-account-456",
    "isFeedsActive": true,
    "isSyncingOwner": true,
    "isFeedsPaused": false,
    "accountNormal": "debit",
    "accountNormalFormatted": "Debit",
    "flattenName": "Assets: Cash Account",
    "accountLevel": 2,
    "createdAt": "2024-03-20T10:00:00Z",
    "updatedAt": "2024-03-20T10:30:00Z"
  }
]

Query Parameters

customViewId
number

Custom view ID

Example:

1

filterRoles
string[]

Filter roles array

columnSortBy
string

Column to sort by

Example:

"created_at"

sortOrder
enum<string>

Sort order

Available options:
DESC,
ASC
Example:

"DESC"

stringifiedFilterRoles
string

Stringified filter roles

Example:

"{\"fieldKey\":\"status\",\"value\":\"active\"}"

searchKeyword
string

Search keyword

Example:

"bank account"

viewSlug
string

View slug

Example:

"active-accounts"

page
number

Page number

Required range: x >= 1
Example:

1

pageSize
number

Page size

Required range: x >= 1
Example:

25

inactiveMode
boolean
default:false

Include inactive accounts

Example:

false

Response

200 - application/json

List of bank accounts retrieved successfully.

id
number
required

The unique identifier of the account

Example:

1

name
string
required

The name of the account

Example:

"Cash Account"

slug
string
required

The slug of the account

Example:

"cash-account"

code
string
required

The code of the account

Example:

"1001"

accountType
string
required

The type of the account

Example:

"bank"

parentAccountId
number
required

The parent account ID

Example:

null

currencyCode
string
required

The currency code of the account

Example:

"USD"

active
boolean
required

Whether the account is active

Example:

true

bankBalance
number
required

The bank balance of the account

Example:

5000

bankBalanceFormatted
string
required

The formatted bank balance

Example:

"$5,000.00"

lastFeedsUpdatedAt
object
required

The last feeds update timestamp

Example:

"2024-03-20T10:30:00Z"

lastFeedsUpdatedAtFormatted
string
required

The formatted last feeds update timestamp

Example:

"Mar 20, 2024 10:30 AM"

lastFeedsUpdatedFromNow
string
required

The last feeds updated from now (relative time)

Example:

"2 hours ago"

amount
number
required

The amount of the account

Example:

5000

formattedAmount
string
required

The formatted amount

Example:

"$5,000.00"

plaidItemId
string
required

The Plaid item ID

Example:

"plaid-item-123"

plaidAccountId
string
required

The Plaid account ID

Example:

"plaid-account-456"

isFeedsActive
boolean
required

Whether the feeds are active

Example:

true

isSyncingOwner
boolean
required

Whether the account is syncing owner

Example:

true

isFeedsPaused
boolean
required

Whether the feeds are paused

Example:

false

accountNormal
string
required

The account normal

Example:

"debit"

accountNormalFormatted
string
required

The formatted account normal

Example:

"Debit"

flattenName
string
required

The flatten name with all dependant accounts names

Example:

"Assets: Cash Account"

accountLevel
number
required

The account level in the hierarchy

Example:

2

createdAt
string<date-time>
required

The creation timestamp

Example:

"2024-03-20T10:00:00Z"

updatedAt
string<date-time>
required

The update timestamp

Example:

"2024-03-20T10:30:00Z"